%{!?__python2:        %define __python2 /usr/bin/python2}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define modn   iso8601
%define modv   0.1.10


Summary:       A simple ISO 8601 date parser for Python
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       MIT
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/i/%{modn}/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-0.1.10-build.patch
Patch1:        %{modn}-0.1.10-tests.patch
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Michael Twomey <micktwomey@gmail.com>
Provides:      python(%{modn}) = %{modv}
BuildRequires: python2-devel >= 2.4 python-setuptools
BuildRequires: python-pytest
BuildArch:     noarch


%description
Iso8601 is a simple Python module to parse the most common forms of ISO 8601
date strings into datetime objects.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1
%patch1 -p1


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%check
pushd build/lib*/%{modn}
py.test
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc LICENSE README*
%{python2_sitelib}/%{modn}
%{python2_sitelib}/*.egg-info


%changelog
* Sun Feb 15 2015 Peter Pramberger <peterpramb@member.fsf.org> - 0.1.10-1
- Initial build
